luaservice::ScriptState Struct Reference

A structure that descripts the state of a script. More...

`import"LuaService.idl";`

## Public Types

enum | ExecState { STAT_NEW, STAT_RUNNING, STAT_TERMINATED, STAT_RESTARTING }
| execution state for a scripts More...
enum | ExitType { EXIT_CODE, SIGNAL }
| Descripts the type of exitStatus. More...

## Public Attributes

ExecState | execState
| execution state of the script
ExitType | exitType
| type of exit code
int | exitStatus
| exit status or signal

## Detailed Description

A structure that descripts the state of a script.

When a script is uploaded the new execState is STAT_NEW. exitCode and signal is not valid.

When the execState is changing to STAT_TERMINATED then exitCode and signal will be set.

## Member Enumeration Documentation

## ExecState

enum luaservice::ScriptState::ExecState

execution state for a scripts

Enumerator
STAT_NEW | the script never ran (after uploading or system (re)start)
STAT_RUNNING | script state is running
STAT_TERMINATED | script state is terminated
STAT_RESTARTING | script is terminated and restarts after 'restart interval'

## ExitType

enum luaservice::ScriptState::ExitType

Descripts the type of exitStatus.

Enumerator
EXIT_CODE | exitStatus is an exit code
SIGNAL | exitStatus is a signal

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/LuaService.idl